summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/ssdeep/README5
-rw-r--r--system/ssdeep/slack-desc19
-rw-r--r--system/ssdeep/ssdeep.SlackBuild77
-rw-r--r--system/ssdeep/ssdeep.info10
4 files changed, 111 insertions, 0 deletions
diff --git a/system/ssdeep/README b/system/ssdeep/README
new file mode 100644
index 0000000000..c24077537b
--- /dev/null
+++ b/system/ssdeep/README
@@ -0,0 +1,5 @@
+ssdeep computes a checksum based on context triggered piecewise
+hashes (fuzzy hashes) for each input file. If requested, the program
+matches those checksums against a file of known checksums and reports
+any possible matches. It can also examine one or more of signatures
+and find any matches in those signatures.
diff --git a/system/ssdeep/slack-desc b/system/ssdeep/slack-desc
new file mode 100644
index 0000000000..5cb7771468
--- /dev/null
+++ b/system/ssdeep/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ssdeep: ssdeep (program for computing context triggered piecewise hashes)
+ssdeep:
+ssdeep: ssdeep computes a checksum based on context triggered piecewise
+ssdeep: hashes (fuzzy hashes) for each input file. If requested, the program
+ssdeep: matches those checksums against a file of known checksums and reports
+ssdeep: any possible matches. It can also examine one or more of signatures
+ssdeep: and find any matches in those signatures.
+ssdeep:
+ssdeep: Homepage: http://ssdeep.sourceforge.net/
+ssdeep:
+ssdeep:
diff --git a/system/ssdeep/ssdeep.SlackBuild b/system/ssdeep/ssdeep.SlackBuild
new file mode 100644
index 0000000000..5d83326b09
--- /dev/null
+++ b/system/ssdeep/ssdeep.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for ssdeep
+# Written by Oleg O. Chukaev <oleg.chukaev@mail.ru>
+
+PRGNAM=ssdeep
+VERSION=2.5
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog FILEFORMAT INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/ssdeep/ssdeep.info b/system/ssdeep/ssdeep.info
new file mode 100644
index 0000000000..fb65d0dbd1
--- /dev/null
+++ b/system/ssdeep/ssdeep.info
@@ -0,0 +1,10 @@
+PRGNAM="ssdeep"
+VERSION="2.5"
+HOMEPAGE="http://ssdeep.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/ssdeep/files/ssdeep-2.5/ssdeep-2.5.tar.gz"
+MD5SUM="f3212dbf27384a00ad5eab1fb81fe3d1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Oleg O. Chukaev"
+EMAIL="oleg.chukaev@mail.ru"
+APPROVED="dsomero"